package com.cool.store.mapper;

import com.cool.store.entity.OrderSysInfoDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;


/**
 * @Author: WangShuo
 * @Date: 2025/04/06/15:57
 * @Version 1.0
 * @注释:
 */
public interface OrderSysInfoMapper extends Mapper<OrderSysInfoDO> {

    List<OrderSysInfoDO> getSpecificByShopIdList(@Param("list") List<Long> shopIdList);

    Integer updateAddresseeAddress(@Param("update") OrderSysInfoDO orderSysInfoDO);

    Integer batchInsertSpecific(@Param("list") List<OrderSysInfoDO> orderSysInfoDOList);

    Integer batchUpdateSpecific(@Param("list") List<OrderSysInfoDO> orderSysInfoDOList);
}
